Subject: [mpls] Ben Campbell's No Objection on draft-ietf-mpls-spring-entropy-label-11: (with COMMENT)

From: Ben Campbell <[email-masked]>
Date: Mon, 02 Jul 2018 18:15:38 -0700

Ben Campbell has entered the following ballot position for
draft-ietf-mpls-spring-entropy-label-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mpls-spring-entropy-label/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Substantive Comments:

- Adam beat me to the comment about the normative downref to RFC 7855. I agree
with his point.

§1, 2nd paragraph: "The MPLS architecture brings some challenges on the
load-balancing as
   an LSR (Label Switch Router) should be able to look at header fields
   that are beyond the MPLS label stack."

I'm confused by that statement.  Should this say " ... should _not_ be able ...
" or "needs to be able"?

§14: Please elaborate. This adds a new data element and mechanism; please
expLain why that doesn't affect the security considerations. (I'm willing to
believe that it doesn't, but the section should contain an actual argument for
that point.)

Editorial Comments:

- General: The term "Entropy Label" is used in a singular sense on several
occasions. That usage needs an article, e.g. "The Entropy Label ..."

---

From: <[email-masked]>
Date: Wed, 4 Jul 2018 11:59:31 +0000

Hi Ben,

Thanks for your comment.

Please find some inline replies.

Brgds,

-----Original Message-----
From: Ben Campbell [mailto:[email-masked]] 
Sent: Tuesday, July 03, 2018 03:16
To: The IESG
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Ben Campbell's No Objection on draft-ietf-mpls-spring-entropy-label-11: (with COMMENT)

Substantive Comments:

[SLI] That's a mistake, I do not think that RFC7855 should be normative. The SPRING architecture document is normative and provides the useful informations.

[SLI] "needs to be able" sounds more appropriate.

[SLI] Compared to RFC6790, this document only adds the notion of ERLD, MSD and the possibility for a node to insert multiple ELI/ELs in the stack. We do not see any attack vector coming from this additions. Do you agree ?

Editorial Comments:

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.